org.apache.hadoop.io

## Class MapFile.Merger

- java.lang.Object
- - org.apache.hadoop.io.MapFile.Merger

- Enclosing class:
    MapFile

      public static class MapFile.Merger
      extends Object

  Class to merge multiple MapFiles of same Key and Value types to one MapFile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Merger(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `merge(Path[] inMapFiles, boolean deleteInputs, Path outMapFile)` Merge multiple MapFiles to one Mapfile

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Merger

          public Merger(Configuration conf)
                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### merge

          public void merge(Path[] inMapFiles,
                            boolean deleteInputs,
                            Path outMapFile)
                     throws IOException

      Merge multiple MapFiles to one Mapfile
      Parameters:
        `inMapFiles` -
        `outMapFile` -
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.